Subject: Novell Procmail recipie/problem

From: Dan Newcombe <[email-masked]>
Date: Thu, 12 Jun 1997 11:28:05 -0400 (EDT)

Eric,

  As per your request, here is my recipie for dealing with e-mail popped
off of a Novell server and told to be domanified.
And example of the problem I used to have when I popped mail off of
aa.clayton.edu   From: User <AA/[email-masked]>
Sendmail did not like that.  Now it converts the above to
From: User <[email-masked]>

However, the To: and CC: lines still can get messed up
To: aa/user2,@aa.clayton.edu aa/newcombe

I'm not going to worry about that!!!

I fixed it with this recipie in my .procmailrc
:0
* ^From:.*<.*/.*@
{
:0 fhw
|sed -e 's/^From:\(.*\)<\(.*\)\/\(.*\)@.*/From:\1<\3@\2.clayton.edu>/'
}

It may not be the best, prettiest, or most efficient, but it works.

Also, you'd asked me to send you the sometimes error message I get
from fetchmail.  I don't see one in my Mail/From file, so it must not
have happened for a while.  It looked something like
Subject: Cron <root@mordor> /usr/local/bin/fetchmail: 29483

Hope your flight back was good.
	-Dan

--
Dan Newcombe                                      [email-masked]
"The fool who escaped from paradise will look over his shoulders and cry...So
I'll hold my peace forever when you wear your bridal gown."   -Marillion